sacccounts 的ios sso sdk
-----------------------

腾讯空间 qzone sso登录说明文档.(请首先阅读sina微博的说明文档,又很多相似之处不再具体描述).
    
    1,注册qq的appkey以及redirectURI,在程序启动时注册.
>   方法为:[[Tencent new] registApp:qqAppKey delegate:self redirectURI:qqRedirectURI];
>   参数说明,registApp为在connect.qq.com 上申请的appid 
>            delegate为实现了qq TencentSessionDelegate 的类,详细见第二条. 
>            redirectURI为在connect.qq.com上 填写的redirectURI ,注意:次redirectURI 需要验证后才能正常使用.
>   需要引入的头文件为:
>    `   #import <saccounts_ios_sdk_sso_framework/TencentOAuth.h>`
>    `   #import <saccounts_ios_sdk_sso_framework/Tencent.h>`
>   修改`(BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation {}`
>   代码举例:

        - (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation {
            // 通过url 获得scheme 根据scheme 的格式来确定是调用微博的sdk还是腾讯qq的sdk还是其他的sdk
            NSString *scheme = [url scheme];
            // 如果是新浪微博的请求
            if ([scheme hasPrefix:[NSString stringWithFormat:@"wb"]]) {
                return [WeiboSDK handleOpenURL:url delegate:self];
                // 如果是腾讯空间的请求
            } else if ([scheme hasPrefix:[NSString stringWithFormat:@"tencent"]]) {
                return [TencentOAuth HandleOpenURL:url];
            } else {
                return YES;
            }
        }
        
>   增加handleOpenURL方法
>   代码举例:

        - (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url {
            return [TencentOAuth HandleOpenURL:url];
        }        
>   注意的是,很多sdk会修改这俩个方法,需要判断url的scheme来增加if else 而不是单一的填写某一个sdk的hander

    2,实现qq sso的协议.
>   在AppDelegate 中实现腾讯的TencentSessionDelegate协议
>   实现举例:`@interface SAAppDelegate : UIResponder <UIApplicationDelegate,TencentSessionDelegate>`
>   需要引入的头文件为:
>   `#import <saccounts_ios_sdk_sso_framework/TencentOAuth.h>`
>   `#import <saccounts_ios_sdk_sso_framework/TencentOAuthObject.h>`
>   `#import <saccounts_ios_sdk_sso_framework/TencentApiInterface.h>`
>   `#import <saccounts_ios_sdk_sso_framework/QQApiInterface.h>`
>   需要实现的协议方法:
>   对于sso,实现的核心方法为: 
>   `- (void)tencentDidLogin { }`
>   此方法处理sso登录成功之后的逻辑,对于这段逻辑,与sina微博相同,见前一篇readme,需要注意的是sina微博叫做userid,腾讯空间叫做openid.
>   其他方法根据需求,查看TencentSessionDelegate的声明,酌情实现.

    3,腾讯空间sso登录按钮
>   按钮逻辑代码:
>   `NSArray *permissions = [NSArray arrayWithObjects:@"get_simple_userinfo", nil];`
>   `[[Tencent tencentOAuth] authorize:permissions inSafari:NO];` 
>   说明,首先构造一个permissions数组,里面写上授权的权限,具体权限按照各个app在腾讯开放平台的申请权限填写.
>   第二句是发起sso登录请求,如果客户端安装了qq,则调用qq进行授权,如果没有安装,则打开一个内部浏览器进行授权.