//
//  Tencent.h
//  saccounts_ios_sdk_sso_framework
//
//  Created by BabyDuncan on 13-9-24.
//  Copyright (c) 2013年 SOHU.COM. All rights reserved.
//

#import <Foundation/Foundation.h>
// 引入腾讯 的sdk 头文件
#import "TencentOAuthObject.h"
#import "TencentApiInterface.h"
#import "QQApiInterface.h"

@protocol TencentSessionDelegate;
@class TencentOAuth;

@interface Tencent : NSObject

+ (TencentOAuth *)tencentOAuth;

// 注册腾讯的app
- (void)registApp:(NSString *)qqAppkey
         delegate:(id <TencentSessionDelegate>)delegate
      redirectURI:(NSString *)redirectURI;

// 调用腾讯qq进行sso登录(如果客户端没有安装qq,则调用浏览器进行登录)
- (void)callQQsso:(NSArray *)permissions;

@end
