//
// Created by BabyDuncan on 13-9-6.
// Copyright (c) 2013 SOHU.COM. All rights reserved.
//
// To change the template use AppCode | Preferences | File Templates.
//


#import <GHUnitIOS/GHTestCase.h>


@interface CodeBlock : GHTestCase {
}
@end


@implementation CodeBlock

- (void)testCodeBlock; {
    void (^printMessage)(void) = ^(void) {
        NSLog(@"Hello World");
    };

    printMessage();

    void (^printYourName)(NSString *) = ^(NSString *s) {
        NSLog(@"Hello %@", s);
    };

    printYourName(@"BabyDuncan");

    NSString *(^getYourFullName)(NSString *, NSString *) = ^NSString *(NSString *firstName, NSString *lastName) {
        return [firstName stringByAppendingString:lastName];
    };

    NSString *fullName = getYourFullName(@"guohao", @"zhao");

    NSLog(@" Full name is %@", fullName);
}

- (void)testUseCodeBlockAsParam; {
    void(^getYourFullName)(NSString *, NSString *) = ^(NSString *firstName, NSString *lastName) {
        NSLog([firstName stringByAppendingString:lastName]);
    };
    [self useCodeBlock:getYourFullName];

}

- (void)useCodeBlock:(void (^)(NSString *, NSString *))b; {
    NSString *firstName = @"Lebrown";
    NSString *lastName = @"James";
    b(firstName, lastName);
}

@end