package com.af;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * User: guohaozhao (guohaozhao@sohu-inc.com)
 * Date: 13-9-9 16:05
 */

@Controller
public class TestController {

    @RequestMapping("/test/get")
    public ModelAndView testGet(HttpServletRequest request, HttpServletResponse response) {
        ModelAndView modelAndView = new ModelAndView();
        modelAndView.setViewName("get");
        modelAndView.addObject("result", "get!!!!!!");
        return modelAndView;

    }

    @RequestMapping(value = "/test/post", method = RequestMethod.POST)
    public ModelAndView testPost(HttpServletRequest request, HttpServletResponse response) {
        String a = request.getParameter("a");
        String b = request.getParameter("b");
        String c = request.getParameter("c");
        String d = request.getParameter("d");
        ModelAndView modelAndView = new ModelAndView();
        modelAndView.setViewName("post");
        modelAndView.addObject("result", "a is " + a + " b is " + b + " c is " + c + " and d is " + d);
        return modelAndView;

    }


}
