//
//  SAViewController.m
//  saccounts_ios_sdk_sso_demo
//
//  Created by BabyDuncan on 13-9-2.
//  Copyright (c) 2013年 SOHU.COM. All rights reserved.
//

#import <saccounts_ios_sdk_sso_framework/Netease.h>
#import <saccounts_ios_sdk_sso_framework/Weibo.h>
#import <saccounts_ios_sdk_sso_framework/Tencent.h>
#import <saccounts_ios_sdk_sso_framework/Renn.h>
#import "SAViewController.h"
#import "SAAppDelegate.h"
#import "SADBViewController.h"


@interface SAViewController ()

@end

@implementation SAViewController

@synthesize label;

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.



}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)clickme:(id)sender {
    NSLog(@"Clicked!!!");
    [[Weibo new] callWeiboSSO:kRedirectURI];
}

- (IBAction)clickmeforqq:(id)sender {
    NSArray *permissions = [NSArray arrayWithObjects:@"get_simple_userinfo", nil];
    [[Tencent tencentOAuth] authorize:permissions inSafari:NO];
}

- (IBAction)clickmeforrenren:(id)sender; {
    if (![[Renren sharedRenren] isSessionValid]) {
        [[Renn new] callRennLogin:nil andDelegate:self];
    } else {
        [[Renren sharedRenren] logout:self];
    }

}

- (void)renrenDidLogin:(Renren *)renren; {
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"response from renren OK!!"
                                                    message:[[Renren sharedRenren] accessToken]
                                                   delegate:nil
                                          cancelButtonTitle:@"确定"
                                          otherButtonTitles:nil];
    [alert show];
}

- (void)renrenDidLogout:(Renren *)renren; {
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"response from renren OK!!"
                                                    message:@"LOGOUT!!"
                                                   delegate:nil
                                          cancelButtonTitle:@"确定"
                                          otherButtonTitles:nil];
    [alert show];
}

- (IBAction)clickmefordouban:(id)sender; {

    NSString *str = [NSString stringWithFormat:@"https://www.douban.com/service/auth2/auth?client_id=%@&redirect_uri=%@&response_type=code", doubankAPIKey, doubankRedirectUrl ];
    NSString *urlStr = [str stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
    NSURL *url = [NSURL URLWithString:urlStr];
    UIViewController *webViewController = [[SADBViewController alloc] initWithRequestURL:url];
    [self.navigationController pushViewController:webViewController animated:YES];

}

- (IBAction)clickmeForNetease:(id)sender; {
    WeiboPublishViewController *controller = [[WeiboPublishViewController alloc] init];
    controller.successDelegate = self;
    controller.weiboId = Weibo_Netease;
    controller.numerousPublish = NO;
    [self presentModalViewController:controller animated:YES];
}

- (void)netEaseLoginSuccess {
    NSDictionary *param = [WeiboCommon getBlogInfo:4];
    NSString *username = [param objectForKey:@"name"];
    NSString *accesstoken = [param objectForKey:@"oauth_token"];
    NSString *accessTokenSecret = [param objectForKey:@"oauth_token_secret"];
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"response from 163 OK!!"
                                                    message:[NSString stringWithFormat:@"accesstoken is %@ and token secret is %@", accesstoken, accessTokenSecret]
                                                   delegate:nil
                                          cancelButtonTitle:@"确定"
                                          otherButtonTitles:nil];
    [alert show];
}

@end
