//
// Created by BabyDuncan on 13-9-6.
// Copyright (c) 2013 SOHU.COM. All rights reserved.
//
// To change the template use AppCode | Preferences | File Templates.
//


#import "HttpClient.h"

@implementation HttpClient

- (void)get:(NSString *)url
    success:(void (^)(AFHTTPRequestOperation *, id))successHandler
       fail:(void (^)(AFHTTPRequestOperation *, NSError *))errorHandler; {
    NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:url]];
    AFHTTPRequestOperation *operation = [[AFHTTPRequestOperation alloc] initWithRequest:request];
    [operation setCompletionBlockWithSuccess:successHandler failure :errorHandler];
    [operation start];
}


- (void)post:(NSString *)url
    postInfo:(NSDictionary *)info
     success:(void (^)(AFHTTPRequestOperation *, id))successHandler
        fail:(void (^)(AFHTTPRequestOperation *, NSError *))errorHandler; {
    AFHTTPClient *httpClient = [[AFHTTPClient alloc] initWithBaseURL:[NSURL URLWithString:url]];
    [httpClient postPath:url parameters:info success :successHandler failure:errorHandler];
}
@end