//
//  CollectTest.m
//  saccounts_ios_sdk_sso_framework
//
//  Created by BabyDuncan on 13-9-26.
//  Copyright (c) 2013年 SOHU.COM. All rights reserved.
//

#import <GHUnitIOS/GHUnit.h>
#import "ActionCollect.h"

@interface CollectTest : GHTestCase {
}

@end

@implementation CollectTest

- (void)testGetProcessInfo; {
    NSLog(@"globallyUniqueString:%@\n"
            "hostName:%@\n"
            "oprerationSystemName:%@\n"
            "operatingSystemVersionString:%@\n"
            "physicalMemory:%qu\n"
            "processName:%@\n",
            [[NSProcessInfo processInfo] globallyUniqueString],
            [[NSProcessInfo processInfo] hostName],
            [[NSProcessInfo processInfo] operatingSystemName],
            [[NSProcessInfo processInfo] operatingSystemVersionString],
            [[NSProcessInfo processInfo] physicalMemory],
            [[NSProcessInfo processInfo] processName]);
}

- (void)testGetDeviceInfo; {
    NSLog(@"uniqueIdentifier:%@\n"
            " name:%@\n"
            " systemName:%@\n"
            " systemVersion:%@\n"
            " model:%@\n"
            " localizedModel:%@\n"
            " butteryLevel:%f\n",
            [[UIDevice currentDevice].identifierForVendor UUIDString],
            [UIDevice currentDevice].name,
            [UIDevice currentDevice].systemName,
            [UIDevice currentDevice].systemVersion,
            [UIDevice currentDevice].model,
            [UIDevice currentDevice].localizedModel,
            [UIDevice currentDevice].batteryLevel
    );

}

- (void)testAppStart; {
    [[ActionCollect new] appStart];
}

- (void)testAppClose; {
    [[ActionCollect new] appClose];
}

- (void)testSSOLogin; {
    [[ActionCollect new] ssoLogin:@"qq"];
}

- (void)testSSOLogout; {
    [[ActionCollect new] ssoLogout:@"weibo"];
}

@end
