//
// Created by BabyDuncan on 13-9-10.
// Copyright (c) 2013 SOHU.COM. All rights reserved.
//
// To change the template use AppCode | Preferences | File Templates.
//


#import <GHUnitIOS/GHAsyncTestCase.h>
#import "SohuPlus.h"
#import "SohuPlusToken.h"

@interface SohuPlusTest : GHAsyncTestCase {
}
@end

@implementation SohuPlusTest

//- (void)testSohuPlus; {
//
//    [self prepare];
//    void (^mySuccessHandler)(AFHTTPRequestOperation *, id) = ^(AFHTTPRequestOperation *operation, id result) {
//        NSLog(@"Success: %@", operation.responseString);
//        [self notify:kGHUnitWaitStatusSuccess];
//    };
//    void (^myErrorHandler)(AFHTTPRequestOperation *, NSError *) = ^(AFHTTPRequestOperation *operation, NSError *error) {
//        NSLog(@"Failure: %@", error);
//    };
//
//    SohuPlus *sp = [SohuPlus new];
//    NSString *token = [sp genToken:@"2162022957" accessToken:@"2.00Bwc_3CTj2JFBcfd7b39ae00N4WyF" expire:@"1"];
//    NSLog(@"token is %@", token);
//    [sp __exchangeToken:token provider:@"weibo" appid:@"30000001" clientid:@"30000001" success:mySuccessHandler fail:myErrorHandler];
//    [self waitForStatus:kGHUnitWaitStatusSuccess timeout:10.0];
//
//
//}

- (void)testSohuPlusToken; {

    [self prepare];
    void (^mySuccessHandler)(SohuPlusToken *) = ^(SohuPlusToken *token) {
        NSLog(@"%@ | %@ | %@", token.accessToken, token.refreshToken, token.expire);
        [self notify:kGHUnitWaitStatusSuccess];
    };

    void (^myErrorHandler)() = ^(void) {
        NSLog(@"Failure");
    };

    SohuPlus *sp = [SohuPlus new];
    NSString *token = [sp genToken:@"2162022957" accessToken:@"2.00Bwc_3CTj2JFBcfd7b39ae00N4WyF" expire:@"1"];
    NSLog(@"token is %@", token);
    [sp exchangeToken:token provider:@"weibo" appid:@"30000001" clientid:@"30000001" success:mySuccessHandler error:myErrorHandler];
    [self waitForStatus:kGHUnitWaitStatusSuccess timeout:100.0];


}

- (void)testGenQQtoken; {
    SohuPlus *sp = [SohuPlus new];
    NSString *token = [sp genToken:@"DFBB4D36EAEB24B7E5F7CC3F856463BF" accessToken:@"5BDECB218D9060285555BF5B68413D0C" expire:@"1"];
    NSLog(@"token is %@", token);
}

- (void)testGenQQtokenV2; {
    SohuPlus *sp = [SohuPlus new];
    NSString *token = [sp genToken:@"DFBB4D36EAEB24B7E5F7CC3F856463BF" accessToken:@"5BDECB218D9060285555BF5B68413D0C" expire:@"1"];
    NSLog(@"token is %@", token);
}

- (void)testGetSohuPlusProfile; {
    [self prepare];
    void (^mySuccessHandler)(SohuPlusProfile *) = ^(SohuPlusProfile *token) {
        NSLog(@"response is %@", [token toString]);
        [self notify:kGHUnitWaitStatusSuccess];
    };

    void (^myErrorHandler)(NSString *) = ^(NSString *maybeErrorString) {
        NSLog(maybeErrorString);
    };

    SohuPlus *sp = [SohuPlus new];
    [sp getProfile:@"10000004" clientSecret:@"cd35c38500e64ca3bb57c53a2394b75c" scope:@"all" instanceId:@"test" username:@"1258235080" accessToken:@"eda33ff85703469a3247c70ed5f810f45d954ba1d27dee73001a6a3e200f98a5" success:mySuccessHandler error:myErrorHandler];
    [self waitForStatus:kGHUnitWaitStatusSuccess timeout:100.0];

}


@end